Export workflow run activity
curl --request GET \
--url https://api.skyvern.com/v1/audit-events/runs/export \
--header 'x-api-key: <api-key>'import requests
url = "https://api.skyvern.com/v1/audit-events/runs/export"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.skyvern.com/v1/audit-events/runs/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.skyvern.com/v1/audit-events/runs/export",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.skyvern.com/v1/audit-events/runs/export"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.skyvern.com/v1/audit-events/runs/export")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.skyvern.com/v1/audit-events/runs/export")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"rows": [
{
"workflow_run_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"workflow_permanent_id": "<string>",
"trigger_type": "<string>",
"created_by": "<string>",
"requested_by": "<string>",
"workflow_schedule_id": "<string>",
"retried_from_workflow_run_id": "<string>"
}
],
"next": "<string>"
}{
"detail": {
"error_code": "organization_admin_required",
"message": "<string>",
"reason_kind": "role",
"required": {},
"caller_has": {},
"next_action": "<string>",
"role": "<string>",
"action": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Server
Export workflow run activity
Export top-level workflow runs for the authenticated organization as JSON or CSV. Only organization admins and full API keys may export. The default window is the last 90 days, with timezone-aware since/until bounds, newest-first keyset pagination, and a maximum page size of 500. CSV output uses fixed columns and is protected from spreadsheet formula execution.
GET
/
v1
/
audit-events
/
runs
/
export
Export workflow run activity
curl --request GET \
--url https://api.skyvern.com/v1/audit-events/runs/export \
--header 'x-api-key: <api-key>'import requests
url = "https://api.skyvern.com/v1/audit-events/runs/export"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.skyvern.com/v1/audit-events/runs/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.skyvern.com/v1/audit-events/runs/export",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.skyvern.com/v1/audit-events/runs/export"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.skyvern.com/v1/audit-events/runs/export")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.skyvern.com/v1/audit-events/runs/export")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"rows": [
{
"workflow_run_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"workflow_permanent_id": "<string>",
"trigger_type": "<string>",
"created_by": "<string>",
"requested_by": "<string>",
"workflow_schedule_id": "<string>",
"retried_from_workflow_run_id": "<string>"
}
],
"next": "<string>"
}{
"detail": {
"error_code": "organization_admin_required",
"message": "<string>",
"reason_kind": "role",
"required": {},
"caller_has": {},
"next_action": "<string>",
"role": "<string>",
"action": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Your Skyvern API key from https://app.skyvern.com/settings.
Query Parameters
Required range:
1 <= x <= 500Available options:
json, csv 
